
%channelOutput = awgn(ofdm_signal.', 10, 'measured');
recvd_signal_paralleled = reshape(ofdm_signal,rows_Append_prefix, cols_Append_prefix);

%....... Remove cyclic prefix...........................................
recvd_signal_paralleled(1:cp_len,:)=[];

%FFT for received signal
for i=1:symbol_size
fft_data(:,i) = fft(recvd_signal_paralleled(:,i),Number_of_subcarriers);
end

%.... Zero Forcing Equalization...........
Tx_signal = S2P;
A = fft_data(:,1)./Tx_signal(:,1);
A1 = fft_data(:,2)./Tx_signal(:,2);
A2 = fft_data(:,255)./Tx_signal(:,255);
A3 = fft_data(:,256)./Tx_signal(:,256);

A_average = (A+A1+A2+A3)/4;

for a = 1:symbol_size
Division(:,a) = ((fft_data(:,a))./(A_average));
end

recvd_serial_data = reshape(Division,(symbol_size*Number_of_subcarriers),1);
scatterplot(recvd_serial_data);


%DeMapping...................................................
hDemod = comm.QPSKDemodulator('PhaseOffset',pi/4);
demodulatedData = step(hDemod,recvd_serial_data);
demodulate2bi = de2bi(demodulatedData);

OutputPort1.TypeSignal = 'Binary';
Outputport1.Sequence = demodulate2bi;

demodulatereshap = reshape(demodulate2bi',length(Data),1);
[No_of_error,BER] = biterr(Data,demodulatereshap);

OutputPort1 = InputPort1;